Gets the status of the privileged access detection package for the Entity Analytics privileged user monitoring experience

GET /api/entity_analytics/privileged_user_monitoring/pad/status

Spaces method and path for this operation:

get /s/{space_id}/api/entity_analytics/privileged_user_monitoring/pad/status

Refer to Spaces for more information.

Returns the installation and ML module setup status of the privileged access detection package, along with the state of each associated ML job.

Responses

  • 200 application/json

    Privileged access detection status retrieved

    Hide response attributes Show response attributes object
    • jobs array[object] Required
      Hide jobs attributes Show jobs attributes object
      • description string
      • job_id string Required
      • state string Required

        Values are closing, closed, opened, failed, or opening.

    • ml_module_setup_status string Required

      Values are complete or incomplete.

    • package_installation_status string Required

      Values are complete or incomplete.

GET /api/entity_analytics/privileged_user_monitoring/pad/status
curl \
 --request GET 'https://<KIBANA_URL>/api/entity_analytics/privileged_user_monitoring/pad/status' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "jobs": [
    {
      "description": "Detects high-risk login patterns",
      "job_id": "pad-high-risk-login",
      "state": "opened"
    },
    {
      "description": "Detects privilege escalation events",
      "job_id": "pad-privilege-escalation",
      "state": "opened"
    }
  ],
  "ml_module_setup_status": "complete",
  "package_installation_status": "complete"
}